
function Meas_mtx_smth=smth_int_data(Meas_mtx,sample_dt,plot_data)

% A smoothing technique (using the csaps function of the
% Matlab Spline Toolbox ) is applied in order to
% filter the measurement noise and increase by interpolation
% the number of observations.
%
% INPUT VARIABLES
%
% Meas_mtx          Measurements matrix, each column contains 
%                   the measurements for a node
%
% sample_dt         number of points in the dt interval
%
% plot_data:        if true, plot the data
%
% OUTPUT VARIABLE
%   
% Meas_mtx_smth     Measurements matrix, each column contains the
%                   measurements for a node, 
%                   obtained by filtering and interpolating the input data 
%                   set (Meaas_mtx)

% define number of time points (n_tp) and the number of nodes (n_nodes)
[n_tp n_nod]=size(Meas_mtx);    
% increase by interpolation the number of observations (sample_dt*(n_tp-1)+1)
Meas_mtx_smth=zeros(sample_dt*n_tp-(sample_dt-1),n_nod);
for idx=1:n_nod
    pp =csaps(1:n_tp,Meas_mtx(:,idx));
    Meas_mtx_smth(:,idx)=fnval(pp,1:1/sample_dt:n_tp);
end
if plot_data
    figure
    plot(Meas_mtx_smth)
end